The ID assigned to this Patient. This ID will be used to uniquely identify this Patient in medical
documents.
string
The ID of the Patient on your internal system to associate to a Patient in Metriport.
object
required
Patient status flags.
Show status properties
boolean
required
Whether the patient is opted out of HIE data sharing and pulling.
boolean
required
Whether the patient has treatment relationship consent. When false, the patient cannot be
assigned to treatment cohorts.
AdditionalIdentifiers
A map containing additional external identifiers. EHR IDs are populated when the patient is
created or mapped through one of our EHR apps. The healthix ID can also
be set by customers on patient create/update, and is included in webhook payloads when present.
Show AdditionalIdentifiers properties
string[]
Athena patient ID. If more than one patient in Athena maps to a Metriport patient, they
will all be included.
string[]
Canvas patient ID. If more than one patient in Canvas maps to a Metriport patient, they
will all be included.
string[]
Elation Patient ID. If more than one patient in Elation maps to a Metriport patient, they
will all be included.
string[]
Healthie Patient ID. If more than one patient in Healthie maps to a Metriport patient, they
will all be included.
string[]
Healthix MRN for this patient.
string[]
required
The Patient's first name(s).
string[]
required
The Patient's last name(s).
string
required
The Patient's date of birth (DOB), formatted YYYY-MM-DD as per ISO 8601.
string
required
The Patient's gender at birth, can be one of M or F or O or U. Use O (other) when the patient's gender is known but it is not M or F, i.e intersex or hermaphroditic.
Use U (unknown) when the patient's gender is not known.
PersonalIdentifier[]
An array of the Patient's personal IDs, such as a driver's license. May be empty.
Show PersonalIdentifier properties
string
required
The ID type - currently driversLicense is supported.
string
required
The 2 letter state acronym where this ID was issued, for example: CA.
string
required
The ID number.
Address[]
required
Show properties
string
The address.
string
The address details, for example: #4451.
string
The city.
string
The 2 letter state acronym, for example: CA.
string
required
5 digit zip code.
string
required
Always "USA".
Contact[]
Show properties
string
The Patient's 10 digit phone number, formatted 1234567899.
string
The Patient's email address.
string[]
required
Array of the IDs of the Facilities where the Patient is receiving care.
ResponseMeta
required
Pagination metadata for the response.
Show Pagination properties
number
required
The number of items on the current page.
number
The total number of items across all pages (only
available on the first page).
string
URL to get the next page (only present if there is a
next page).
string
URL to get the previous page (only present if there is
a previous page).
import { MetriportMedicalApi } from "@metriport/api-sdk";const metriport = new MetriportMedicalApi("YOUR_API_KEY");const cohortId = "00000000-0000-0000-0000-000000000000";const cohortPatients = await metriport.listPatientsInCohort( cohortId);
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Metriport","colors":{"primary":"#748DF0","light":"#ADBCF6","dark":"#4958A9"},"logo":{"light":"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/logo/light.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=2d77665a60a65f66a47c54743efe5991","dark":"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/logo/dark.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=bbf6cd87b67cdcc43e9a7734228493fc"},"favicon":"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/favicon.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=7b574050c31d893e711bdb146827de87","api":{"mdx":{"auth":{"method":"key","name":"x-api-key"},"server":["https://api.sandbox.metriport.com","https://api.metriport.com"]}},"navbar":{"links":[{"href":"mailto:contact@metriport.com","label":"Contact Us"},{"href":"https://github.com/metriport/metriport","label":"GitHub"}],"primary":{"type":"button","label":"Get Started","href":"https://dash.metriport.com"}},"footer":{"socials":{"twitter":"https://twitter.com/metriport?lang=en","linkedin":"https://www.linkedin.com/company/metriport","github":"https://github.com/metriport/metriport"}},"integrations":{"koala":{"publicApiKey":"pk_44e88c16775418837d2f3e62e3c5515ba4fb"},"posthog":{"apiKey":"phc_GZPdeCb8Sqff8gdIZkQr7G0SxZwt6QZwiQ1PeBuPLqC"}},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"metriport","hasAudioNarration":true,"actualSubdomain":"metriport","customDomains":["docs.metriport.com"],"gitSource":{"type":"github","owner":"metriport","repo":"metriport-private","deployBranch":"master","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afcd21790c94f7ae4206e84","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"Medical API","count":357},{"language":"default","tag":"Handling Data","count":205},{"language":"default","tag":"Data Analytics and Warehousing","count":193},{"language":"default","tag":"Core Schema","count":190},{"language":"default","tag":"FHIR","count":85},{"language":"default","tag":"API Reference","count":55},{"language":"default","tag":"Data Types","count":40},{"language":"default","tag":"Resources","count":33},{"language":"default","tag":"Patient","count":26},{"language":"default","tag":"EHR Apps","count":18}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar{min-width:18.5rem}"}],"page":{"pagePath":"medical-api/api-reference/cohort/list-patients-in-cohort","slug":"/medical-api/api-reference/cohort/list-patients-in-cohort","pageMetadata":{"title":"List Patients in Cohort","description":"Returns a paginated list of all patients that are members of the specified cohort.","api":"GET /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/list-patients-in-cohort"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a paginated list of all patients that are members of the specified cohort.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`For more information, see the `,_jsx(_components.a,{href:`/medical-api/handling-data/cohorts`,children:`guide about Cohorts`})]}),`\n`,_jsx(Heading,{level:`2`,id:`path-params`,children:`Path Params`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`The ID of the cohort whose patients are to be returned.`})}),`\n`,_jsx(Heading,{level:`2`,id:`query-params`,children:`Query Params`}),`\n`,_jsx(ParamField,{path:`fromItem`,type:`string`,id:`param-from-item`,children:_jsx(_components.p,{children:`Optional pagination parameter to start from a specific\nitem.`})}),`\n`,_jsx(ParamField,{path:`toItem`,type:`string`,id:`param-to-item`,children:_jsx(_components.p,{children:`Optional pagination parameter to end at a specific item.`})}),`\n`,_jsx(ParamField,{path:`count`,type:`number`,id:`param-count`,children:_jsx(_components.p,{children:`Optional number of items per page (max 100).`})}),`\n`,_jsx(ParamField,{path:`sort`,type:`string`,id:`param-sort`,children:_jsx(_components.p,{children:`Optional sort parameter (e.g., “id=asc,createdAt=desc”).`})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(ResponseField,{name:`patients`,type:`Patient[]`,required:true,id:`param-patients`,children:[_jsx(_components.p,{children:`Array of patients that are members of the cohort.`}),_jsxs(Expandable,{title:`Patient properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-1`,children:_jsx(_components.p,{children:`The ID assigned to this Patient. This ID will be used to uniquely identify this Patient in medical\ndocuments.`})}),_jsx(ResponseField,{name:`externalId`,type:`string`,id:`param-external-id`,children:_jsx(_components.p,{children:`The ID of the Patient on your internal system to associate to a Patient in Metriport.`})}),_jsxs(ResponseField,{name:`status`,type:`object`,required:true,id:`param-status`,children:[_jsx(_components.p,{children:`Patient status flags.`}),_jsxs(Expandable,{title:`status properties`,children:[_jsx(ResponseField,{name:`hieOptOut`,type:`boolean`,required:true,id:`param-hie-opt-out`,children:_jsx(_components.p,{children:`Whether the patient is opted out of HIE data sharing and pulling.`})}),_jsx(ResponseField,{name:`treatmentRelationship`,type:`boolean`,required:true,id:`param-treatment-relationship`,children:_jsxs(_components.p,{children:[`Whether the patient has treatment relationship consent. When `,_jsx(_components.code,{children:`false`}),`, the patient cannot be\nassigned to treatment cohorts.`]})})]})]}),_jsxs(ResponseField,{name:`additionalIds`,type:`AdditionalIdentifiers`,optional:true,id:`param-additional-ids`,children:[_jsxs(_components.p,{children:[`A map containing additional external identifiers. EHR IDs are populated when the patient is\ncreated or mapped through one of our `,_jsx(_components.a,{href:`/ehr-apps/overview`,children:`EHR apps`}),`. The `,_jsx(_components.code,{children:`healthix`}),` ID can also\nbe set by customers on patient create/update, and is included in webhook payloads when present.`]}),_jsxs(Expandable,{title:`AdditionalIdentifiers properties`,children:[_jsx(ResponseField,{name:`athenahealth`,type:`string[]`,id:`param-athenahealth`,children:_jsx(_components.p,{children:`Athena patient ID. If more than one patient in Athena maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`canvas`,type:`string[]`,id:`param-canvas`,children:_jsx(_components.p,{children:`Canvas patient ID. If more than one patient in Canvas maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`elation`,type:`string[]`,id:`param-elation`,children:_jsx(_components.p,{children:`Elation Patient ID. If more than one patient in Elation maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`healthie`,type:`string[]`,id:`param-healthie`,children:_jsx(_components.p,{children:`Healthie Patient ID. If more than one patient in Healthie maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`healthix`,type:`string[]`,id:`param-healthix`,children:_jsx(_components.p,{children:`Healthix MRN for this patient.`})})]})]}),_jsx(ResponseField,{name:`firstName`,type:`string[]`,required:true,id:`param-first-name`,children:_jsx(_components.p,{children:`The Patient's first name(s).`})}),_jsx(ResponseField,{name:`lastName`,type:`string[]`,required:true,id:`param-last-name`,children:_jsx(_components.p,{children:`The Patient's last name(s).`})}),_jsx(ResponseField,{name:`dob`,type:`string`,required:true,id:`param-dob`,children:_jsxs(_components.p,{children:[`The Patient's date of birth (DOB), formatted `,_jsx(_components.code,{children:`YYYY-MM-DD`}),` as per ISO 8601.`]})}),_jsx(ResponseField,{name:`genderAtBirth`,type:`string`,required:true,id:`param-gender-at-birth`,children:_jsxs(_components.p,{children:[`The Patient's gender at birth, can be one of `,_jsx(_components.code,{children:`M`}),` or `,_jsx(_components.code,{children:`F`}),` or `,_jsx(_components.code,{children:`O`}),` or `,_jsx(_components.code,{children:`U`}),`. Use `,_jsx(_components.code,{children:`O`}),` (other) when the patient's gender is known but it is not `,_jsx(_components.code,{children:`M`}),` or `,_jsx(_components.code,{children:`F`}),`, i.e intersex or hermaphroditic.\nUse U (unknown) when the patient's gender is not known.`]})}),_jsxs(ResponseField,{name:`personalIdentifiers`,type:`PersonalIdentifier[]`,optional:true,id:`param-personal-identifiers`,children:[_jsx(_components.p,{children:`An array of the Patient's personal IDs, such as a driver's license. May be empty.`}),_jsxs(Expandable,{title:`PersonalIdentifier properties`,children:[_jsx(ResponseField,{name:`type`,type:`string`,required:true,id:`param-type`,children:_jsxs(_components.p,{children:[`The ID type - currently `,_jsx(_components.code,{children:`driversLicense`}),` is supported.`]})}),_jsx(ResponseField,{name:`state`,type:`string`,required:true,id:`param-state`,children:_jsxs(_components.p,{children:[`The 2 letter state acronym where this ID was issued, for example: `,_jsx(_components.code,{children:`CA`}),`.`]})}),_jsx(ResponseField,{name:`value`,type:`string`,required:true,id:`param-value`,children:_jsx(_components.p,{children:`The ID number.`})})]})]}),_jsx(ResponseField,{name:`address`,type:`Address[]`,required:true,id:`param-address`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`addressLine1`,type:`string`,id:`param-address-line1`,children:_jsx(_components.p,{children:`The address.`})}),_jsx(ResponseField,{name:`addressLine2`,type:`string`,id:`param-address-line2`,children:_jsxs(_components.p,{children:[`The address details, for example: `,_jsx(_components.code,{children:`#4451`}),`.`]})}),_jsx(ResponseField,{name:`city`,type:`string`,id:`param-city`,children:_jsx(_components.p,{children:`The city.`})}),_jsx(ResponseField,{name:`state`,type:`string`,id:`param-state-1`,children:_jsxs(_components.p,{children:[`The 2 letter state acronym, for example: `,_jsx(_components.code,{children:`CA`}),`.`]})}),_jsx(ResponseField,{name:`zip`,type:`string`,required:true,id:`param-zip`,children:_jsx(_components.p,{children:`5 digit zip code.`})}),_jsx(ResponseField,{name:`country`,type:`string`,required:true,id:`param-country`,children:_jsx(_components.p,{children:`Always \"USA\".`})})]})}),_jsx(ResponseField,{name:`contact`,type:`Contact[]`,id:`param-contact`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`phone`,type:`string`,id:`param-phone`,children:_jsxs(_components.p,{children:[`The Patient's 10 digit phone number, formatted `,_jsx(_components.code,{children:`1234567899`}),`.`]})}),_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:_jsx(_components.p,{children:`The Patient's email address.`})})]})}),_jsx(ResponseField,{name:`facilityIds`,type:`string[]`,required:true,id:`param-facility-ids`,children:_jsx(_components.p,{children:`Array of the IDs of the Facilities where the Patient is receiving care.`})})]})]}),`\n`,_jsxs(ResponseField,{name:`meta`,type:`ResponseMeta`,required:true,id:`param-meta`,children:[_jsx(_components.p,{children:`Pagination metadata for the response.`}),_jsxs(Expandable,{title:`Pagination properties`,children:[_jsx(ResponseField,{name:`itemsOnPage`,type:`number`,required:true,id:`param-items-on-page`,children:_jsx(_components.p,{children:`The number of items on the current page.`})}),_jsx(ResponseField,{name:`itemsInTotal`,type:`number`,required:false,id:`param-items-in-total`,children:_jsx(_components.p,{children:`The total number of items across all pages (only\navailable on the first page).`})}),_jsx(ResponseField,{name:`nextPage`,type:`string`,required:false,id:`param-next-page`,children:_jsx(_components.p,{children:`URL to get the next page (only present if there is a\nnext page).`})}),_jsx(ResponseField,{name:`prevPage`,type:`string`,required:false,id:`param-prev-page`,children:_jsx(_components.p,{children:`URL to get the previous page (only present if there is\na previous page).`})})]})]}),`\n`,`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`62`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`62`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"patients\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"11111111-1111-1111-1111-111111111111\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"eTag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"firstName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"John\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lastName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Doe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1990-01-01\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"genderAtBirth\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"M\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"addressLine1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"123 Fake Street\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"city\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Fake City\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"NY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"zip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USA\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"personalIdentifiers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"drivers_license\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FAKE123456789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"NY\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"facilityIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"22222222-2222-2222-2222-222222222222\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"33333333-3333-3333-3333-333333333333\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"eTag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"firstName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Jane\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lastName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Smith\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1985-05-15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"genderAtBirth\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"F\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"addressLine1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"456 Example Avenue\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"city\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Sample Town\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"zip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"54321\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USA\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"personalIdentifiers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"drivers_license\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FAKE987654321\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CA\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"facilityIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"44444444-4444-4444-4444-444444444444\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"meta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemsOnPage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemsInTotal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Patients in Cohort","description":"Returns a paginated list of all patients that are members of the specified cohort.","api":"GET /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/list-patients-in-cohort"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`For more information, see the `,_jsx(_components.a,{href:`/medical-api/handling-data/cohorts`,children:`guide about Cohorts`})]}),`\n`,_jsx(Heading,{level:`2`,id:`path-params`,children:`Path Params`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`The ID of the cohort whose patients are to be returned.`})}),`\n`,_jsx(Heading,{level:`2`,id:`query-params`,children:`Query Params`}),`\n`,_jsx(ParamField,{path:`fromItem`,type:`string`,id:`param-from-item`,children:_jsx(_components.p,{children:`Optional pagination parameter to start from a specific\nitem.`})}),`\n`,_jsx(ParamField,{path:`toItem`,type:`string`,id:`param-to-item`,children:_jsx(_components.p,{children:`Optional pagination parameter to end at a specific item.`})}),`\n`,_jsx(ParamField,{path:`count`,type:`number`,id:`param-count`,children:_jsx(_components.p,{children:`Optional number of items per page (max 100).`})}),`\n`,_jsx(ParamField,{path:`sort`,type:`string`,id:`param-sort`,children:_jsx(_components.p,{children:`Optional sort parameter (e.g., “id=asc,createdAt=desc”).`})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(ResponseField,{name:`patients`,type:`Patient[]`,required:true,id:`param-patients`,children:[_jsx(_components.p,{children:`Array of patients that are members of the cohort.`}),_jsxs(Expandable,{title:`Patient properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id-1`,children:_jsx(_components.p,{children:`The ID assigned to this Patient. This ID will be used to uniquely identify this Patient in medical\ndocuments.`})}),_jsx(ResponseField,{name:`externalId`,type:`string`,id:`param-external-id`,children:_jsx(_components.p,{children:`The ID of the Patient on your internal system to associate to a Patient in Metriport.`})}),_jsxs(ResponseField,{name:`status`,type:`object`,required:true,id:`param-status`,children:[_jsx(_components.p,{children:`Patient status flags.`}),_jsxs(Expandable,{title:`status properties`,children:[_jsx(ResponseField,{name:`hieOptOut`,type:`boolean`,required:true,id:`param-hie-opt-out`,children:_jsx(_components.p,{children:`Whether the patient is opted out of HIE data sharing and pulling.`})}),_jsx(ResponseField,{name:`treatmentRelationship`,type:`boolean`,required:true,id:`param-treatment-relationship`,children:_jsxs(_components.p,{children:[`Whether the patient has treatment relationship consent. When `,_jsx(_components.code,{children:`false`}),`, the patient cannot be\nassigned to treatment cohorts.`]})})]})]}),_jsxs(ResponseField,{name:`additionalIds`,type:`AdditionalIdentifiers`,optional:true,id:`param-additional-ids`,children:[_jsxs(_components.p,{children:[`A map containing additional external identifiers. EHR IDs are populated when the patient is\ncreated or mapped through one of our `,_jsx(_components.a,{href:`/ehr-apps/overview`,children:`EHR apps`}),`. The `,_jsx(_components.code,{children:`healthix`}),` ID can also\nbe set by customers on patient create/update, and is included in webhook payloads when present.`]}),_jsxs(Expandable,{title:`AdditionalIdentifiers properties`,children:[_jsx(ResponseField,{name:`athenahealth`,type:`string[]`,id:`param-athenahealth`,children:_jsx(_components.p,{children:`Athena patient ID. If more than one patient in Athena maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`canvas`,type:`string[]`,id:`param-canvas`,children:_jsx(_components.p,{children:`Canvas patient ID. If more than one patient in Canvas maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`elation`,type:`string[]`,id:`param-elation`,children:_jsx(_components.p,{children:`Elation Patient ID. If more than one patient in Elation maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`healthie`,type:`string[]`,id:`param-healthie`,children:_jsx(_components.p,{children:`Healthie Patient ID. If more than one patient in Healthie maps to a Metriport patient, they\nwill all be included.`})}),_jsx(ResponseField,{name:`healthix`,type:`string[]`,id:`param-healthix`,children:_jsx(_components.p,{children:`Healthix MRN for this patient.`})})]})]}),_jsx(ResponseField,{name:`firstName`,type:`string[]`,required:true,id:`param-first-name`,children:_jsx(_components.p,{children:`The Patient's first name(s).`})}),_jsx(ResponseField,{name:`lastName`,type:`string[]`,required:true,id:`param-last-name`,children:_jsx(_components.p,{children:`The Patient's last name(s).`})}),_jsx(ResponseField,{name:`dob`,type:`string`,required:true,id:`param-dob`,children:_jsxs(_components.p,{children:[`The Patient's date of birth (DOB), formatted `,_jsx(_components.code,{children:`YYYY-MM-DD`}),` as per ISO 8601.`]})}),_jsx(ResponseField,{name:`genderAtBirth`,type:`string`,required:true,id:`param-gender-at-birth`,children:_jsxs(_components.p,{children:[`The Patient's gender at birth, can be one of `,_jsx(_components.code,{children:`M`}),` or `,_jsx(_components.code,{children:`F`}),` or `,_jsx(_components.code,{children:`O`}),` or `,_jsx(_components.code,{children:`U`}),`. Use `,_jsx(_components.code,{children:`O`}),` (other) when the patient's gender is known but it is not `,_jsx(_components.code,{children:`M`}),` or `,_jsx(_components.code,{children:`F`}),`, i.e intersex or hermaphroditic.\nUse U (unknown) when the patient's gender is not known.`]})}),_jsxs(ResponseField,{name:`personalIdentifiers`,type:`PersonalIdentifier[]`,optional:true,id:`param-personal-identifiers`,children:[_jsx(_components.p,{children:`An array of the Patient's personal IDs, such as a driver's license. May be empty.`}),_jsxs(Expandable,{title:`PersonalIdentifier properties`,children:[_jsx(ResponseField,{name:`type`,type:`string`,required:true,id:`param-type`,children:_jsxs(_components.p,{children:[`The ID type - currently `,_jsx(_components.code,{children:`driversLicense`}),` is supported.`]})}),_jsx(ResponseField,{name:`state`,type:`string`,required:true,id:`param-state`,children:_jsxs(_components.p,{children:[`The 2 letter state acronym where this ID was issued, for example: `,_jsx(_components.code,{children:`CA`}),`.`]})}),_jsx(ResponseField,{name:`value`,type:`string`,required:true,id:`param-value`,children:_jsx(_components.p,{children:`The ID number.`})})]})]}),_jsx(ResponseField,{name:`address`,type:`Address[]`,required:true,id:`param-address`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`addressLine1`,type:`string`,id:`param-address-line1`,children:_jsx(_components.p,{children:`The address.`})}),_jsx(ResponseField,{name:`addressLine2`,type:`string`,id:`param-address-line2`,children:_jsxs(_components.p,{children:[`The address details, for example: `,_jsx(_components.code,{children:`#4451`}),`.`]})}),_jsx(ResponseField,{name:`city`,type:`string`,id:`param-city`,children:_jsx(_components.p,{children:`The city.`})}),_jsx(ResponseField,{name:`state`,type:`string`,id:`param-state-1`,children:_jsxs(_components.p,{children:[`The 2 letter state acronym, for example: `,_jsx(_components.code,{children:`CA`}),`.`]})}),_jsx(ResponseField,{name:`zip`,type:`string`,required:true,id:`param-zip`,children:_jsx(_components.p,{children:`5 digit zip code.`})}),_jsx(ResponseField,{name:`country`,type:`string`,required:true,id:`param-country`,children:_jsx(_components.p,{children:`Always \"USA\".`})})]})}),_jsx(ResponseField,{name:`contact`,type:`Contact[]`,id:`param-contact`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`phone`,type:`string`,id:`param-phone`,children:_jsxs(_components.p,{children:[`The Patient's 10 digit phone number, formatted `,_jsx(_components.code,{children:`1234567899`}),`.`]})}),_jsx(ResponseField,{name:`email`,type:`string`,id:`param-email`,children:_jsx(_components.p,{children:`The Patient's email address.`})})]})}),_jsx(ResponseField,{name:`facilityIds`,type:`string[]`,required:true,id:`param-facility-ids`,children:_jsx(_components.p,{children:`Array of the IDs of the Facilities where the Patient is receiving care.`})})]})]}),`\n`,_jsxs(ResponseField,{name:`meta`,type:`ResponseMeta`,required:true,id:`param-meta`,children:[_jsx(_components.p,{children:`Pagination metadata for the response.`}),_jsxs(Expandable,{title:`Pagination properties`,children:[_jsx(ResponseField,{name:`itemsOnPage`,type:`number`,required:true,id:`param-items-on-page`,children:_jsx(_components.p,{children:`The number of items on the current page.`})}),_jsx(ResponseField,{name:`itemsInTotal`,type:`number`,required:false,id:`param-items-in-total`,children:_jsx(_components.p,{children:`The total number of items across all pages (only\navailable on the first page).`})}),_jsx(ResponseField,{name:`nextPage`,type:`string`,required:false,id:`param-next-page`,children:_jsx(_components.p,{children:`URL to get the next page (only present if there is a\nnext page).`})}),_jsx(ResponseField,{name:`prevPage`,type:`string`,required:false,id:`param-prev-page`,children:_jsx(_components.p,{children:`URL to get the previous page (only present if there is\na previous page).`})})]})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Metriport SDK`,numberOfLines:`7`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`MetriportMedicalApi`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`from`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"@metriport/api-sdk\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` metriport`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` MetriportMedicalApi`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` cohortId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"00000000-0000-0000-0000-000000000000\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` cohortPatients`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` metriport`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`listPatientsInCohort`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` cohortId`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`]})})})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`62`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`62`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"patients\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"11111111-1111-1111-1111-111111111111\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"eTag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"firstName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"John\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lastName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Doe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1990-01-01\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"genderAtBirth\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"M\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"addressLine1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"123 Fake Street\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"city\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Fake City\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"NY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"zip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USA\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"personalIdentifiers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"drivers_license\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FAKE123456789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"NY\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"facilityIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"22222222-2222-2222-2222-222222222222\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"33333333-3333-3333-3333-333333333333\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"eTag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"firstName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Jane\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"lastName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Smith\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1985-05-15\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"genderAtBirth\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"F\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"addressLine1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"456 Example Avenue\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"city\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Sample Town\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"zip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"54321\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USA\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"personalIdentifiers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"drivers_license\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FAKE987654321\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CA\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"facilityIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"44444444-4444-4444-4444-444444444444\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"meta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemsOnPage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"itemsInTotal\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Patients in Cohort","description":"Returns a paginated list of all patients that are members of the specified cohort.","api":"GET /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/list-patients-in-cohort"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Path Params","slug":"path-params","depth":2,"children":[]},{"title":"Query Params","slug":"query-params","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Metriport SDK","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> { \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">MetriportMedicalApi\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> } \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">from\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"@metriport/api-sdk\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">;\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> metriport\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> new\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> MetriportMedicalApi\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"YOUR_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> cohortId\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"00000000-0000-0000-0000-000000000000\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">;\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> cohortPatients\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> metriport\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">listPatientsInCohort\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> cohortId\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"List Patients in Cohort","path":"/medical/v1/cohort/{id}/patient","servers":[{"url":"https://api.sandbox.metriport.com"},{"url":"https://api.metriport.com"}],"method":"get","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"x-api-key":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"The ID of the cohort whose patients are to be returned.","required":true}]},"fromItem":{"schema":[{"type":"string","description":"Optional pagination parameter to start from a specific item."}]},"toItem":{"schema":[{"type":"string","description":"Optional pagination parameter to end at a specific item."}]},"count":{"schema":[{"type":"number","description":"Optional number of items per page (max 100)."}]},"sort":{"schema":[{"type":"string","description":"Optional sort parameter (e.g., “id=asc,createdAt=desc”)."}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"patients":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"string","description":"The ID assigned to this Patient. This ID will be used to uniquely identify this Patient in medical documents.","required":true}],"externalId":[{"type":"string","description":"The ID of the Patient on your internal system to associate to a Patient in Metriport."}],"status":[{"type":"object","properties":{"hieOptOut":[{"type":"boolean","description":"Whether the patient is opted out of HIE data sharing and pulling.","required":true}],"treatmentRelationship":[{"type":"boolean","description":"Whether the patient has treatment relationship consent. When `false` , the patient cannot be assigned to treatment cohorts.","required":true}]},"description":"Patient status flags.","required":true}],"additionalIds":[{"type":"object","properties":{"athenahealth":[{"type":"array","items":[{"type":"string"}],"description":"Athena patient ID. If more than one patient in Athena maps to a Metriport patient, they will all be included."}],"canvas":[{"type":"array","items":[{"type":"string"}],"description":"Canvas patient ID. If more than one patient in Canvas maps to a Metriport patient, they will all be included."}],"elation":[{"type":"array","items":[{"type":"string"}],"description":"Elation Patient ID. If more than one patient in Elation maps to a Metriport patient, they will all be included."}],"healthie":[{"type":"array","items":[{"type":"string"}],"description":"Healthie Patient ID. If more than one patient in Healthie maps to a Metriport patient, they will all be included."}],"healthix":[{"type":"array","items":[{"type":"string"}],"description":"Healthix MRN for this patient."}]},"description":"A map containing additional external identifiers. EHR IDs are populated when the patient is created or mapped through one of our EHR apps . The `healthix` ID can also be set by customers on patient create/update, and is included in webhook payloads when present."}],"firstName":[{"type":"array","items":[{"type":"string"}],"description":"The Patient's first name(s).","required":true}],"lastName":[{"type":"array","items":[{"type":"string"}],"description":"The Patient's last name(s).","required":true}],"dob":[{"type":"string","description":"The Patient's date of birth (DOB), formatted `YYYY-MM-DD` as per ISO 8601.","required":true}],"genderAtBirth":[{"type":"string","description":"The Patient's gender at birth, can be one of `M` or `F` or `O` or `U` . Use `O` (other) when the patient's gender is known but it is not `M` or `F` , i.e intersex or hermaphroditic. Use U (unknown) when the patient's gender is not known.","required":true}],"personalIdentifiers":[{"type":"array","items":[{"type":"object","properties":{"type":[{"type":"string","description":"The ID type - currently `driversLicense` is supported.","required":true}],"state":[{"type":"string","description":"The 2 letter state acronym where this ID was issued, for example: `CA` .","required":true}],"value":[{"type":"string","description":"The ID number.","required":true}]}}],"description":"An array of the Patient's personal IDs, such as a driver's license. May be empty."}],"address":[{"type":"array","items":[{"type":"object","properties":{"addressLine1":[{"type":"string","description":"The address."}],"addressLine2":[{"type":"string","description":"The address details, for example: `#4451` ."}],"city":[{"type":"string","description":"The city."}],"state":[{"type":"string","description":"The 2 letter state acronym, for example: `CA` ."}],"zip":[{"type":"string","description":"5 digit zip code.","required":true}],"country":[{"type":"string","description":"Always \"USA\".","required":true}]}}],"required":true}],"contact":[{"type":"array","items":[{"type":"object","properties":{"phone":[{"type":"string","description":"The Patient's 10 digit phone number, formatted `1234567899` ."}],"email":[{"type":"string","description":"The Patient's email address."}]}}]}],"facilityIds":[{"type":"array","items":[{"type":"string"}],"description":"Array of the IDs of the Facilities where the Patient is receiving care.","required":true}]}}],"description":"Array of patients that are members of the cohort.","required":true}],"meta":[{"type":"object","properties":{"itemsOnPage":[{"type":"number","description":"The number of items on the current page.","required":true}],"itemsInTotal":[{"type":"number","description":"The total number of items across all pages (only available on the first page)."}],"nextPage":[{"type":"string","description":"URL to get the next page (only present if there is a next page)."}],"prevPage":[{"type":"string","description":"URL to get the previous page (only present if there is a previous page)."}]},"description":"Pagination metadata for the response.","required":true}]}}],"examples":{"example":{"value":{"patients":[{"id":"\u003cstring>","externalId":"\u003cstring>","status":{"hieOptOut":true,"treatmentRelationship":true},"additionalIds":{"athenahealth":["\u003cstring>"],"canvas":["\u003cstring>"],"elation":["\u003cstring>"],"healthie":["\u003cstring>"],"healthix":["\u003cstring>"]},"firstName":["\u003cstring>"],"lastName":["\u003cstring>"],"dob":"\u003cstring>","genderAtBirth":"\u003cstring>","personalIdentifiers":[{"type":"\u003cstring>","state":"\u003cstring>","value":"\u003cstring>"}],"address":[{"addressLine1":"\u003cstring>","addressLine2":"\u003cstring>","city":"\u003cstring>","state":"\u003cstring>","zip":"\u003cstring>","country":"\u003cstring>"}],"contact":[{"phone":"\u003cstring>","email":"\u003cstring>"}],"facilityIds":["\u003cstring>"]}],"meta":{"itemsOnPage":123,"itemsInTotal":123,"nextPage":"\u003cstring>","prevPage":"\u003cstring>"}}}}}}},"deprecated":false}},"jsLinks":[],"narration":{"path":"medical-api/api-reference/cohort/list-patients-in-cohort","locale":"en","estimatedDurationSec":5},"subdomain":"metriport","siteName":"Metriport","title":"List Patients in Cohort - Metriport","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-16T01:26:22.206Z","originalFileLocation":"medical-api/api-reference/cohort/list-patients-in-cohort.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a paginated list of all patients that are members of the specified cohort.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Metriport\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Patients in Cohort - Metriport\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a paginated list of all patients that are members of the specified cohort.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Metriport\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://metriport.mintlify.site/_mintlify/api/og/v2?division=Cohort\u0026amp;title=List+Patients+in+Cohort\u0026amp;description=Returns+a+paginated+list+of+all+patients+that+are+members+of+the+specified+cohort.\u0026amp;theme=4e552dc4cb0f0e559c627f7f\u0026amp;signature=92a7fb35559189cbdf91bded6fb29eb9d489d8beeabcabc1aa74ece4d05ccb85\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Patients in Cohort - Metriport\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a paginated list of all patients that are members of the specified cohort.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://metriport.mintlify.site/_mintlify/api/og/v2?division=Cohort\u0026amp;title=List+Patients+in+Cohort\u0026amp;description=Returns+a+paginated+list+of+all+patients+that+are+members+of+the+specified+cohort.\u0026amp;theme=4e552dc4cb0f0e559c627f7f\u0026amp;signature=92a7fb35559189cbdf91bded6fb29eb9d489d8beeabcabc1aa74ece4d05ccb85\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Metriport\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#748DF0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/medical-api/api-reference/cohort/list-patients-in-cohort.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.metriport.com/#organization\",\"name\":\"Metriport\",\"url\":\"https://docs.metriport.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/logo/light.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=2d77665a60a65f66a47c54743efe5991\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.metriport.com#website\",\"name\":\"Metriport\",\"url\":\"https://docs.metriport.com\",\"publisher\":{\"@id\":\"https://docs.metriport.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort#webpage\",\"url\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort\",\"name\":\"List Patients in Cohort\",\"description\":\"Returns a paginated list of all patients that are members of the specified cohort.\",\"dateModified\":\"2026-04-16T01:26:22.206Z\",\"isPartOf\":{\"@id\":\"https://docs.metriport.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.metriport.com/medical-api/api-reference/facility/create-facility\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Cohort\",\"item\":\"https://docs.metriport.com/medical-api/api-reference/cohort/get-cohort\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List Patients in Cohort\",\"item\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort#apireference\",\"headline\":\"List Patients in Cohort\",\"name\":\"List Patients in Cohort\",\"description\":\"Returns a paginated list of all patients that are members of the specified cohort.\",\"url\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort\",\"mainEntityOfPage\":{\"@id\":\"https://docs.metriport.com/medical-api/api-reference/cohort/list-patients-in-cohort#webpage\"},\"dateModified\":\"2026-04-16T01:26:22.206Z\",\"publisher\":{\"@id\":\"https://docs.metriport.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.metriport.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Metriport\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Metriport\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/medical-api/api-reference/cohort/list-patients-in-cohort.md","siteName":"Metriport","nav":{"global":null,"tabs":[{"tab":"Medical API","groups":[{"group":"Getting Started","pages":[{"title":"Quickstart","icon":"rocket","href":"/medical-api/getting-started/quickstart"},{"title":"API Keys","icon":"key","href":"/medical-api/getting-started/api-keys"},{"title":"Implementing Webhooks","icon":"circle-nodes","href":"/medical-api/getting-started/webhooks"},{"title":"Sandbox Mode","icon":"box-open","href":"/medical-api/getting-started/sandbox"},{"title":"Message Delivery","icon":"file-export","href":"/medical-api/getting-started/message-delivery"},{"title":"Individual Access (IAS)","icon":"user-check","href":"/medical-api/getting-started/ias"},{"title":"Embedding Metriport","icon":"window-restore","href":"/medical-api/getting-started/embedding"}]},{"group":"API Reference","pages":[{"group":"Facility","icon":"house-medical","pages":[{"title":"Create Facility","api":"POST /medical/v1/facility","href":"/medical-api/api-reference/facility/create-facility"},{"title":"Get Facility","api":"GET /medical/v1/facility/{id}","href":"/medical-api/api-reference/facility/get-facility"},{"title":"Update Facility","api":"PUT /medical/v1/facility/{id}","href":"/medical-api/api-reference/facility/update-facility"},{"title":"List Facilities","api":"GET /medical/v1/facility","href":"/medical-api/api-reference/facility/list-facilities"},{"title":"Delete Facility","api":"DELETE /medical/v1/facility/{id}","href":"/medical-api/api-reference/facility/delete-facility"}]},{"group":"Patient","icon":"person","pages":[{"title":"Create Patient","api":"POST /medical/v1/patient","href":"/medical-api/api-reference/patient/create-patient"},{"title":"Get Patient","api":"GET /medical/v1/patient/{id}","href":"/medical-api/api-reference/patient/get-patient"},{"title":"Get Patient by External ID","api":"GET /medical/v1/patient/external-id","href":"/medical-api/api-reference/patient/get-patient-external-id"},{"title":"Update Patient","api":"PUT /medical/v1/patient/{id}","href":"/medical-api/api-reference/patient/update-patient"},{"title":"Match Patient","api":"POST /medical/v1/patient/match","href":"/medical-api/api-reference/patient/match-patient"},{"title":"Delete Patient","api":"DELETE /medical/v1/patient/{id}","href":"/medical-api/api-reference/patient/delete-patient"},{"title":"List Patients","api":"GET /medical/v1/patient","href":"/medical-api/api-reference/patient/list-patients"},{"title":"Sync Patient","api":"POST /medical/v1/patient/:id/external/sync","href":"/medical-api/api-reference/patient/create-patient-external-sync"},{"title":"HIE Opt-Out","api":"PUT /medical/v1/patient/:id/hie-opt-out","href":"/medical-api/api-reference/patient/hie-opt-out"},{"title":"Treatment Relationship","api":"PUT /medical/v1/patient/:id/treatment-relationship","href":"/medical-api/api-reference/patient/treatment-relationship"},{"title":"Bulk Patient Create","api":"POST /medical/v1/patient/bulk","href":"/medical-api/api-reference/patient/bulk-create-patient"},{"title":"Add Patient to Cohorts","api":"POST /medical/v1/patient/{id}/cohort","href":"/medical-api/api-reference/patient/add-patient-to-cohorts"},{"title":"List Patient Cohorts","api":"GET /medical/v1/patient/{id}/cohort","href":"/medical-api/api-reference/patient/list-cohorts-for-patient"},{"title":"Get Patient Facilities","api":"GET /medical/v1/patient/{id}/facility","href":"/medical-api/api-reference/patient/get-patient-facilities"},{"title":"Set Patient Facilities","api":"POST /medical/v1/patient/{id}/facility","href":"/medical-api/api-reference/patient/set-patient-facilities"}]},{"group":"Token","icon":"id-badge","pages":[{"title":"Create Embed Token","api":"POST /medical/v1/token/embed","href":"/medical-api/api-reference/token/create-embed-token"}]},{"group":"IAS","icon":"fingerprint","pages":[{"title":"Create AAL2 Challenge","api":"POST /medical/v1/identity/aal2/challenge","href":"/medical-api/api-reference/ias/create-aal2-challenge"},{"title":"Create Identity Session","api":"POST /medical/v1/identity/session","href":"/medical-api/api-reference/ias/create-identity-session"}]},{"group":"Cohort","icon":"people-group","pages":[{"title":"Get Cohort","api":"GET /medical/v1/cohort/{id}","href":"/medical-api/api-reference/cohort/get-cohort"},{"title":"Update Cohort","api":"PATCH /medical/v1/cohort/{id}","href":"/medical-api/api-reference/cohort/update-cohort"},{"title":"Delete Cohort","api":"DELETE /medical/v1/cohort/{id}","href":"/medical-api/api-reference/cohort/delete-cohort"},{"title":"List Cohorts","api":"GET /medical/v1/cohort","href":"/medical-api/api-reference/cohort/list-cohorts"},{"title":"Add Patients to Cohort","description":"Bulk assign multiple patients to a cohort.","api":"POST /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/add-patients-to-cohort"},{"title":"List Patients in Cohort","api":"GET /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/list-patients-in-cohort"},{"title":"Remove Patients from Cohort","description":"Bulk remove patients from a cohort.","api":"DELETE /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/remove-patients-from-cohort"}]},{"group":"Message","icon":"file-export","pages":[{"title":"Send Message","api":"POST /medical/v1/message","href":"/medical-api/api-reference/message/send-message"},{"title":"List Messages","api":"GET /medical/v1/message","href":"/medical-api/api-reference/message/list-messages"},{"title":"Get Message Status","api":"GET /medical/v1/message/{id}","
[...]
